aboutsummaryrefslogtreecommitdiffstats
path: root/coin/provisioning/common/macos/disable_spotlight.sh
diff options
context:
space:
mode:
Diffstat (limited to 'coin/provisioning/common/macos/disable_spotlight.sh')
-rwxr-xr-xcoin/provisioning/common/macos/disable_spotlight.sh62
1 files changed, 27 insertions, 35 deletions
diff --git a/coin/provisioning/common/macos/disable_spotlight.sh b/coin/provisioning/common/macos/disable_spotlight.sh
index 7c60b52b..b4907ca0 100755
--- a/coin/provisioning/common/macos/disable_spotlight.sh
+++ b/coin/provisioning/common/macos/disable_spotlight.sh
@@ -1,38 +1,30 @@
#!/usr/bin/env bash
+# Copyright (C) 2017 The Qt Company Ltd.
+# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
-#############################################################################
-##
-## Copyright (C) 2017 The Qt Company Ltd.
-## Contact: http://www.qt.io/licensing/
-##
-## This file is part of the provisioning scripts of the Qt Toolkit.
-##
-## $QT_BEGIN_LICENSE:LGPL21$
-## Commercial License Usage
-## Licensees holding valid commercial Qt licenses may use this file in
-## accordance with the commercial license agreement provided with the
-## Software or, alternatively, in accordance with the terms contained in
-## a written agreement between you and The Qt Company. For licensing terms
-## and conditions see http://www.qt.io/terms-conditions. For further
-## information use the contact form at http://www.qt.io/contact-us.
-##
-## GNU Lesser General Public License Usage
-## Alternatively, this file may be used under the terms of the GNU Lesser
-## General Public License version 2.1 or version 3 as published by the Free
-## Software Foundation and appearing in the file LICENSE.LGPLv21 and
-## LICENSE.LGPLv3 included in the packaging of this file. Please review the
-## following information to ensure the GNU Lesser General Public License
-## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
-## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
-##
-## As a special exception, The Qt Company gives you certain additional
-## rights. These rights are described in The Qt Company LGPL Exception
-## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
-##
-## $QT_END_LICENSE$
-##
-#############################################################################
+disableSpotlight() {
+ # Disable spotlight and and stop indexing
+ sudo mdutil -a -i off
+ sudo mdutil -a -i off /
+ # Disable spotlight indexing /Volumes
+ sudo mdutil -i off /Volumes
+ # Erase spotlight index
+ sudo mdutil -E /
+}
-# Disable spotlight and and stop indexing
-sudo mdutil -a -i off
-sudo defaults write /.Spotlight-V100/VolumeConfiguration Exclusions -array "/Volumes"
+# Disabling spotlight tends to be flaky, add some retry
+for i in $(seq 1 5)
+do
+ disableSpotlight
+ res=$?
+ if [[ $res -eq 0 ]]
+ then
+ echo "Spotlight disabled"
+ break
+ else
+ echo "Failed to disable spotlight, $i retry..."
+ sleep 2
+ fi
+done
+
+exit $res